Bug 215120 - spurious entity errors
spurious entity errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libXrender (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
https://sourceforge.net/tracker/?func...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-10 22:12 EST by Sam Steingold
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.1.19-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 22:09:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sam Steingold 2006-11-10 22:12:01 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: always

broken version: fc6
$ xsltproc --version
Using libxml 20627, libxslt 10118 and libexslt 813
xsltproc was compiled against libxml 20627, libxslt 10118 and libexslt 813
libxslt 10118 was compiled against libxml 20627
libexslt 813 was compiled against libxml 20627

working version: fc5
$ xsltproc --version
xsltproc was compiled against libxml 20623, libxslt 10115 and libexslt 812
libxslt 10115 was compiled against libxml 20623
libexslt 812 was compiled against libxml 20623

Steps to Reproduce:
1. cvs -d:pserver:anonymous@clisp.cvs.sourceforge.net:/cvsroot/clisp login
2. cvs -z3 -d:pserver:anonymous@clisp.cvs.sourceforge.net:/cvsroot/clisp co -P clisp
3. cd clisp/doc
4. make
  
Actual results:


Initial Comment:
libxml2 2.6.27 (fc6)
I get this error with the snapshot xsl:

xmllint --noout --valid --postvalid --timing --noent
clisp.xml
Parsing took 207 ms
Validating took 8 ms
Freeing took 143 ms
xmllint --noout --valid --postvalid --timing --noent
impnotes.xml
Parsing took 1691 ms
Validating took 230 ms
Freeing took 214 ms
/bin/rm -f catalog.xml
xmlcatalog --create > catalog.xml
xmlcatalog --noout --add "rewriteURI" \
               
http://docbook.sourceforge.net/release/xsl/current/
http://docbook.sourceforge.net/release/xsl/snapshot/
catalog.xml
xmlcatalog --noout --add "rewriteSystem" \
               
http://docbook.sourceforge.net/release/xsl/current/
http://docbook.sourceforge.net/release/xsl/snapshot/
catalog.xml
XML_CATALOG_FILES="catalog.xml " xsltproc --timing
--stringparam collect.xref.targets "only" --stringparam
targets.filename "tdb-man.xml" pile.xsl clisp.xml
Parsing stylesheet pile.xsl took 0 ms
Parsing document clisp.xml took 132 ms
Writing tdb-man.xml for refentry(clisp)
Applying stylesheet took 89615 ms
Saving result took 0 ms
XML_CATALOG_FILES="catalog.xml " xsltproc --timing
--stringparam collect.xref.targets "only" --stringparam
targets.filename "tdb-pile.xml" pile.xsl impnotes.xml
Parsing stylesheet pile.xsl took 0 ms
Parsing document impnotes.xml took 930 ms
Writing tdb-pile.xml for book(impnotes-top)
Applying stylesheet took 168042 ms
Saving result took 0 ms
XML_CATALOG_FILES="catalog.xml " xsltproc --timing
--stringparam collect.xref.targets "only" --stringparam
targets.filename "tdb-chunk.xml" chunk.xsl impnotes.xml
Parsing stylesheet chunk.xsl took 109 ms
Parsing document impnotes.xml took 1113 ms
Writing tdb-chunk.xml for book(impnotes-top)
Applying stylesheet took 158799 ms
Saving result took 0 ms
XML_CATALOG_FILES="catalog.xml " xsltproc --timing
--stringparam target.database.document "olink-pile.xml"
--stringparam current.docid "impnotes" -o impnotes.html
pile.xsl impnotes.xml
Parsing stylesheet pile.xsl took 0 ms
Parsing document impnotes.xml took 937 ms
error : unterminated entity reference  EXT:READ-FLOAT
error : unterminated entity reference  EXT:WRITE-FLOAT
error : unterminated entity reference  EXT:READ-FLOAT
error : unterminated entity reference  EXT:WRITE-FLOAT
error : unterminated entity reference    APROPOS-LIST
error : unterminated entity reference       EXT:LETF*
error : unterminated entity reference       EXT:LETF*
error : unterminated entity reference       EXT:LETF*
error : unterminated entity reference
lr=&ie=UTF-8&selm=3C3E7F57.7F80395%40pacbell.net
error : unterminated entity reference  EXT:READ-FLOAT
error : unterminated entity reference  EXT:READ-FLOAT
error : unterminated entity reference  EXT:READ-FLOAT
error : unterminated entity reference  EXT:READ-FLOAT
error : unterminated entity reference  EXT:READ-FLOAT
error : unterminated entity reference  EXT:WRITE-FLOAT
error : unterminated entity reference  EXT:WRITE-FLOAT
error : unterminated entity reference  EXT:WRITE-FLOAT
error : unterminated entity reference  EXT:WRITE-FLOAT
error : unterminated entity reference  EXT:WRITE-FLOAT
error : unterminated entity reference    APROPOS-LIST
error : unterminated entity reference    APROPOS-LIST
error : unterminated entity reference    APROPOS-LIST
error : unterminated entity reference    APROPOS-LIST
error : unterminated entity reference    APROPOS-LIST
error : unterminated entity reference    APROPOS-LIST



Expected results:

no errors, as with fc5
Comment 1 Daniel Veillard 2006-11-27 10:03:56 EST
Sorry, that's a way too complex, non-isolated test case. I won't go though those
but we fixed some entities processing errors in libxslt upstream. You're
free to fetch libxslt CVS snapshot to check if this fixes the problem:
   http://xmlsoft.org/XSLT/downloads.html

Daniel
Comment 2 Daniel Veillard 2006-12-05 11:35:55 EST
The entities errors present in 1.1.18 should be fixed in 1.1.19 which is
available as a FC6 Testing Update,

Daniel
Comment 3 Sam Steingold 2006-12-10 21:15:19 EST
libxslt-1.1.19-1.fc6.i386.rpm does not resolve the problem.
Comment 4 Daniel Veillard 2006-12-11 05:06:35 EST
Then provide an isolated test case showing the problem. Especially not depending
on a snapshot of DocBook stylesheets.

  thanks,

Daniel
Comment 5 Sam Steingold 2006-12-11 09:13:41 EST
I don't think this behavior really depends on the snapshot.
the latest release should be good (or rather bad) enough.
https://sourceforge.net/tracker/index.php?func=detail&aid=1593909&group_id=21935&atid=373747
Comment 6 Daniel Veillard 2006-12-11 09:47:41 EST
At least try to provide an isolated test case showing the problem.
Have you looked at the size and complexity of the DocBook stylesheets ?
Or at least make a minimal effort about it.
Pointing me to your CVs repository gives me the message

  "we use that huge XSLT program, we don't know how it work, there
   is a problem when we use it, go debug it, we won't do even trivial
   effort to find out what's going wrong"

 Guess what, I don't know the docbook XSLT stylesheet code either, except
that it's huge and use heavilly extensions like EXSLT. 
 I'm fine debugging libxslt, I'm not thrilled going though thousands and 
thousands of lines of XSLT code I didn't wrote to try to find out what's
going on, when my perception of the way it's asked it to just dump the
whole stuff on me, just by pointing out to a CVS, and after repeatedly
asking for an isolated test case.

  you see what I mean ? I should not have to beg repeatedly to try to get
a decent feedback, don't you think so ?

Daniel
Comment 7 Sam Steingold 2006-12-11 10:13:59 EST
"I feel your pain" - I am often in a similar sutuation as you are now.
Alas, I know little about xsl so the "trivial effort" is anything but.
Please do not close this bug, I will try to keep it updated wrt my
communications with the stylesheet authors on SF.
thanks.
Comment 8 Sam Steingold 2006-12-13 22:09:28 EST
the DocBook XSL maintainers owned up this bug, please see
https://sourceforge.net/tracker/?func=detail&atid=373747&aid=1614469&group_id=21935
thanks for your patience.
Comment 9 Daniel Veillard 2006-12-14 04:18:24 EST
I know Bob Stayton and Norm Walsh, the entity error was I guess
a problem with libxslt-0.1.18 but the xref linking error yeah 
that's a stylesheet problem.
Well good to know it's all fixed !

Daniel

Note You need to log in before you can comment on or make changes to this bug.